GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "39e923d8-2742-4489-8008-fa01f2ff9a2e",
"private_locations": [
{
"private_location_id": "89bca477-0fb3-4039-9c31-49b46d501e50",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5829c9fe-6bb5-4dd9-9cb1-a509c95ad318"
},
{
"private_location_id": "ece8f401-6345-40c4-85ab-3d8ac88292e4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "9d4d9883-a77e-480a-a2b2-a3b6279f5d4f"
},
{
"private_location_id": "3dea9ee5-e093-4449-b2f8-d44461a65184",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "05eef0d3-ecfc-44be-ba9f-eb8d6fa73d81"
}
]
},
{
"access_group": "ca64216e-b720-4b4e-8acd-cabdfe313001",
"private_locations": [
{
"private_location_id": "ece8f401-6345-40c4-85ab-3d8ac88292e4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "9d4d9883-a77e-480a-a2b2-a3b6279f5d4f"
},
{
"private_location_id": "3dea9ee5-e093-4449-b2f8-d44461a65184",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "05eef0d3-ecfc-44be-ba9f-eb8d6fa73d81"
},
{
"private_location_id": "3dea9ee5-e093-4449-b2f8-d44461a65184",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "05eef0d3-ecfc-44be-ba9f-eb8d6fa73d81"
}
]
},
{
"access_group": "1fbe035e-79d0-44d2-95a9-195192d48b8d",
"private_locations": [
{
"private_location_id": "89bca477-0fb3-4039-9c31-49b46d501e50",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5829c9fe-6bb5-4dd9-9cb1-a509c95ad318"
},
{
"private_location_id": "3dea9ee5-e093-4449-b2f8-d44461a65184",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "05eef0d3-ecfc-44be-ba9f-eb8d6fa73d81"
},
{
"private_location_id": "ece8f401-6345-40c4-85ab-3d8ac88292e4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "9d4d9883-a77e-480a-a2b2-a3b6279f5d4f"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |